{
Client Access Objects 1.5

Register all components and property editors.

(c) 1998, 1999 Steven P. Goldsmith
All Rights Reserved

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 1, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

sgoldsmith@home.com
http://members.home.net/sgoldsmith/
}

unit caoRegister;

interface

uses
  Classes, DsgnIntf,
  caoPropertyEditors,
  caoSecurity, caoErrorMessage, caoRemoteCallConversation, caoCommand, caoProgram,
  caoDatabaseConnection, caoDatabaseDataFormat, caoDatabaseDB2,
  caoDatabaseCatalog, caoDatabaseSQL, caoDatabaseSQLCA,
  caoDatabaseParmMarkerFormat, caoQuery, caoDataQueue, caoDataQueueAttr,
  caoDataQueueDataAttr;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Client Access Objects',[
  TcaoSecurity, TcaoErrorMessage, TcaoRemoteCallConversation, TcaoCommand,
  TcaoProgram, TcaoDatabaseConnection, TcaoDatabaseDataFormat, TcaoDatabaseDB2,
  TcaoDatabaseCatalog, TcaoDatabaseSQL, TcaoDatabaseSQLCA,
  TcaoDatabaseParmMarkerFormat, TcaoQuery, TcaoDataQueue, TcaoDataQueueAttr,
  TcaoDataQueueDataAttr]);
  RegisterPropertyEditor(TypeInfo(String),TcaoDatabaseConnection,
  'systemName',TsystemNameProperty);
  RegisterPropertyEditor(TypeInfo(String),TcaoRemoteCallConversation,
  'systemName',TsystemNameProperty);
  RegisterPropertyEditor(TypeInfo(String),TcaoSecurity,
  'systemName',TsystemNameProperty)
end;

end.
